Page MenuHomePhabricator

Set ElasticSearch implementation as default for wbsearchentites on Wikidata
Closed, ResolvedPublic

Description

Now that we have initial tuned config (T172467) we should get ready for enabling it as default for wbsearchentites (and, by extension, prefix searches and entity completions) on wikidata.org. So far, questions to handle are:

  • Remaining bugs (T173231)
  • Do we want a test or just enable it and see what happens? (I understand the inclination is for "just enable")
  • Do we want some kind of announcement (probably for @Lea_Lacroix_WMDE to make)?
  • Should we set a date to aim for or anytime is equally good?

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
ResolvedSmalyshev
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2017, 7:59 PM

Yeah let's just enable it.
There should be an announcement. Léa is busy with WikidataCon so I'll probably do it.
When: From my side anything after Thursday this week would work.

Sounds good. Let's announce the intent to do it on Monday next week and then flip the switch as soon as T173231 fix is merged and it and code for T172467 are deployed.

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Sep 12 2017, 8:34 PM
Smalyshev moved this task from Waiting/Blocked to Next on the User-Smalyshev board.
Smalyshev triaged this task as Normal priority.Sep 20 2017, 10:37 PM

Change 379426 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Make using CirrusSearch engine default for wbsearchentities

https://gerrit.wikimedia.org/r/379426

Change 381025 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Make using CirrusSearch engine default for wbsearchentities on test.wikidata.org

https://gerrit.wikimedia.org/r/381025

Change 381025 merged by jenkins-bot:
[operations/mediawiki-config@master] Make using CirrusSearch engine default for wbsearchentities on test.wikidata.org

https://gerrit.wikimedia.org/r/381025

Mentioned in SAL (#wikimedia-operations) [2017-09-27T23:17:05Z] <catrope@tin> Synchronized wmf-config/Wikibase.php: Make CirrusSearch default for wbsearchentities on testwikidatawiki T175741 (duration: 00m 48s)

Change 379426 merged by jenkins-bot:
[operations/mediawiki-config@master] Make using CirrusSearch engine default for wbsearchentities

https://gerrit.wikimedia.org/r/379426

Mentioned in SAL (#wikimedia-operations) [2017-10-25T18:25:51Z] <niharika29@tin> Synchronized wmf-config/Wikibase.php: Make using CirrusSearch engine default for wbsearchentities T175741 (duration: 00m 48s)

Smalyshev closed this task as Resolved.Oct 25 2017, 6:27 PM
Smalyshev claimed this task.